### Method

# Aravis Camera set_chunk_state

since: 0.8.0

#### Declaration [src]

    void
    arv_camera_set_chunk_state (
      ArvCamera* camera,
      const char* chunk,
      gboolean is_enabled,
      GError** error
    )

#### Description [src]

Sets state of a chunk data. Chunk data are be embedded in `ArvBuffer` only if chunk mode is active. Please see arv_camera_set_chunk_mode().

Available since: 0.8.0

#### Parameters

`chunk`

  Type: `const char*`

  Chunk data name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`is_enabled`

  Type: `gboolean`

  Wether to enable this chunk.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.